<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- Generated 2-lug-2017 12.20.07 by Hibernate Tools 5.2.3.Final --><!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping auto-import="true" default-access="property" default-cascade="none" default-lazy="true">
    <class catalog="SicuraSQL_Findomestic_Web" dynamic-insert="false" dynamic-update="false" mutable="true" name="sicura.entities.CondizioniCtrlBonifici" optimistic-lock="version" polymorphism="implicit" schema="dbo" select-before-update="false" table="Condizioni_Ctrl_Bonifici">
        <composite-id class="sicura.entities.CondizioniCtrlBonificiId" mapped="false" name="id" unsaved-value="undefined">
            <key-property name="campoChiave" type="string">
                <column length="50" name="Campo_Chiave"/>
            </key-property>
            <key-property name="statement1" type="string">
                <column length="50" name="`Statement 1`"/>
            </key-property>
            <key-property name="nomeCampo" type="string">
                <column length="50" name="NomeCampo"/>
            </key-property>
            <key-property name="condizione1" type="string">
                <column length="50" name="`Condizione 1`"/>
            </key-property>
            <key-property name="congruenzaCondizione1" type="string">
                <column length="50" name="`Congruenza Condizione 1`"/>
            </key-property>
            <key-property name="condizione2" type="string">
                <column length="50" name="`Condizione 2`"/>
            </key-property>
            <key-property name="congruenzaCondizione2" type="string">
                <column length="50" name="`Congruenza Condizione 2`"/>
            </key-property>
            <key-property name="statement2" type="string">
                <column length="50" name="`Statement 2`"/>
            </key-property>
            <key-property name="lavorativoCond" type="boolean">
                <column name="LavorativoCond"/>
            </key-property>
            <key-property name="dataSistemaCond" type="string">
                <column length="50" name="DataSistemaCond"/>
            </key-property>
            <key-property name="piazzaturaCond" type="boolean">
                <column name="PiazzaturaCond"/>
            </key-property>
            <key-property name="congruenzaCondizione3" type="string">
                <column length="50" name="`Congruenza Condizione 3`"/>
            </key-property>
            <key-property name="condizione3" type="string">
                <column length="50" name="`Condizione 3`"/>
            </key-property>
            <key-property name="congruenzaCondizione4" type="string">
                <column length="50" name="`Congruenza Condizione 4`"/>
            </key-property>
            <key-property name="condizione4" type="string">
                <column length="50" name="`Condizione 4`"/>
            </key-property>
            <key-property name="flagErrore" type="boolean">
                <column name="FlagErrore"/>
            </key-property>
            <key-property name="obbligatorio" type="boolean">
                <column name="Obbligatorio"/>
            </key-property>
            <key-property name="flagLavorativo" type="boolean">
                <column name="FlagLavorativo"/>
            </key-property>
            <key-property name="campoDataSistema" type="string">
                <column length="50" name="CampoDataSistema"/>
            </key-property>
            <key-property name="flagSoloGiornoLavorativo" type="boolean">
                <column name="FlagSoloGiornoLavorativo"/>
            </key-property>
            <key-property name="flagPiazzatura" type="short">
                <column name="FlagPiazzatura"/>
            </key-property>
            <key-property name="flagBancaAderente" type="boolean">
                <column name="FlagBancaAderente"/>
            </key-property>
            <key-property name="campoReciprocoPiazzatura" type="string">
                <column length="50" name="CampoReciprocoPiazzatura"/>
            </key-property>
            <key-property name="controlloCodiceFiscale" type="short">
                <column name="ControlloCodiceFiscale"/>
            </key-property>
            <key-property name="controlloCin" type="boolean">
                <column name="ControlloCin"/>
            </key-property>
            <key-property name="abiControlloCin" type="string">
                <column length="50" name="AbiControlloCin"/>
            </key-property>
            <key-property name="cabControlloCin" type="string">
                <column length="50" name="CabControlloCin"/>
            </key-property>
            <key-property name="contoControlloCin" type="string">
                <column length="50" name="ContoControlloCin"/>
            </key-property>
            <key-property name="controlloIban" type="boolean">
                <column name="ControlloIBAN"/>
            </key-property>
            <key-property name="contatore" type="int">
                <column name="Contatore"/>
            </key-property>
            <key-property name="caratteriAbilitati" type="string">
                <column length="100" name="CaratteriAbilitati"/>
            </key-property>
            <key-property name="controlloLunghezzaCampo" type="string">
                <column length="3" name="ControlloLunghezzaCampo"/>
            </key-property>
        </composite-id>
    </class>
</hibernate-mapping>
